import request from '@/utils/request'

// 查询店铺最后一条申请信息
export function mchGetLastStoreApplyByStore(storeId) {
  return request({
    url: `/mch/storeApply/getLastByStore/${storeId}`,
    method: 'get'
  })
}

// 商户取消店铺申请
export function mchCancelStoreApply(id) {
  return request({
    url: `/mch/storeApply/${id}/cancel`,
    method: 'put'
  })
}

// 商户本人提交的查询店铺申请列表
export function mchListStoreApply(params) {
  return request({
    url: '/mch/storeApply/list',
    method: 'get',
    params
  })
}

// 商户本人提交的查询店铺申请详情
export function mchGetStoreApply(id) {
  return request({
    url: `/mch/storeApply/${id}`,
    method: 'get'
  })
}
